Simpler Navigation for Servers and Operating Systems - Please Update Your Bookmarks
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
If you have bookmarked forums or discussion boards in Servers and Operating Systems, we suggest you check and update them as needed.
BladeSystem Server Blades
cancel
Showing results for 
Search instead for 
Did you mean: 

Smart Array P220i inside BL460c Gen8: we cannot use CP022977.scexe to update firmware to 5.42

RodolfoG
Occasional Advisor

Smart Array P220i inside BL460c Gen8: we cannot use CP022977.scexe to update firmware to 5.42

We have some BL460c Gen8 that are physical hosts with vmware ESXi 5.1: we would like to update firmware of Smart Array P220i to 5.42, but copying the file CP022977.scexe to hp\swpackages does not work. We boot the server from a usb key prepared with SPP, but it does not find the new firmware. On a test machine, we put in hp\swpackages the file CP022978.scexe that we found in the listing for windows, and this file it works. But I am not sure if they are the same thing. Why are there two .scexe files, CP022977.scexe and CP022978.scexe? What are their differences? Did we do any mistake? Did we do any domage using CP022977.scexe on the test machine?

 

Thank You and regards

 

Rodolfo Giovanninetti

 

 

7 REPLIES
scharchouf
HPE Pro

Re: Smart Array P220i inside BL460c Gen8: we cannot use CP022977.scexe to update firmware to 5.42

try to update it from IP [Intelligent Provisioning], that it can be acess witj F10 @ start UP
I work for HP
A quick resolution to technical issues for your HP Enterprise products is just a click away HP Support Center Knowledge-base
See Self Help Post for more details

scharchouf
HPE Pro

Re: Smart Array P220i inside BL460c Gen8: we cannot use CP022977.scexe to update firmware to 5.42

The best way to update server is Smart Update manager that you can found on SPP

The new way to update servers and all components,
I work for HP
A quick resolution to technical issues for your HP Enterprise products is just a click away HP Support Center Knowledge-base
See Self Help Post for more details

RodolfoG
Occasional Advisor

Re: Smart Array P220i inside BL460c Gen8: we cannot use CP022977.scexe to update firmware to 5.42

Thank You for the help.

Yes, I know of SPP.

In my first message I meant that we prepare a usb key with SPP, copy the file CP022977.scexe to hp\swpackages, boot the server from the usb key, run the SUM, but it does not find the 5.42 firmware for Smart Array P220i. Instead, if we copy the file CP022978.scexe to hp\swpackages it works. So, there are some issues with CP022977.scexe, but also I do not understand why for the same firmware there are two different .scexe files, it is the first time I see this situation.

 

Thank You and regards

 

Rodolfo Giovanninetti

 

 

scharchouf
HPE Pro

Re: Smart Array P220i inside BL460c Gen8: we cannot use CP022977.scexe to update firmware to 5.42

opps, I forgot to tell you that the new way of doing updates especially with the new SPP is to have either a guarantee or a valid contract with HP.

 

the process is started from the month of February

 

try to update using SPP the whole ISO file and Just update the part that you need, in your case is Smart Array P220i

 

Goog Luck :)

I work for HP
A quick resolution to technical issues for your HP Enterprise products is just a click away HP Support Center Knowledge-base
See Self Help Post for more details

RodolfoG
Occasional Advisor

Re: Smart Array P220i inside BL460c Gen8: we cannot use CP022977.scexe to update firmware to 5.42

Yes, the server is with a valid warranty.

And yes, this is what I did.

But when I use CP022977.scexe, copied to the directory hp\swpackages, it does not find any update for P220i, I have to copy the file CP022978.scexe, again copied to the directory hp\swpackages. So my questions are: why the file CP022977.scexe does not work; what are the differences between CP022977.scexe and CP022978.scexe; how the file CP022977.scexe must be used.

 

Thank You again and regards

 

Rodolfo Giovanninetti

 

 

scharchouf
HPE Pro

Re: Smart Array P220i inside BL460c Gen8: we cannot use CP022977.scexe to update firmware to 5.42

CP022977.scexe ==>is for VMware ESXi 5.0, VMware vSphere 5.1, VMware vSphere 5.5

 

Installation:

 

To update firmware from VMware ESXi operating system on target server:

 

  • Enable Tech Support Mode on the ESXi host.
  • Login as root. (You must be root in order to apply the ROM update.)
  • Place the Smart Component in a temporary directory.
  • From the same directory, execute the Smart Component. For example: ./CPXXXXXX.scexe
  • Follow the directions given by the Smart Component.
  • Disable Tech Support Mode on the ESXi host
  • Reboot your system if you would like the update to take effect immediately.

 

CP022978.scexe ==>is for Multiple OS

I work for HP
A quick resolution to technical issues for your HP Enterprise products is just a click away HP Support Center Knowledge-base
See Self Help Post for more details

mfrieden
Occasional Visitor

Re: Smart Array P220i inside BL460c Gen8: we cannot use CP022977.scexe to update firmware to 5.42

You also have to run chmod +rwx CP022977.scexe before ./CP022977.scexe in order for it to execute.  I've been upgrading this morning and it's working fine using this method.